apiVersion: v1
baseDomain: lab.eng.tlv2.redhat.com
networking:
  networkType: OVNKubernetes
  machineCIDR: 10.46.46.0/24
metadata:
  name: ocp-edge3
compute:
- name: worker
  replicas: 0
controlPlane:
  name: master
  replicas: 3
  platform:
    baremetal: {}
platform:
  baremetal:
    provisioningNetwork: Disabled
    bootstrapOSImage: http://registry.ocp-edge3.lab.eng.tlv2.redhat.com:8080/images/rhcos-412.86.202209302317-0-qemu.x86_64.qcow2.gz?sha256=736ea52d57b394e20e14793faa632e634ed140ae860e1518988225627f3b1e8d
    clusterOSImage: http://registry.ocp-edge3.lab.eng.tlv2.redhat.com:8080/images/rhcos-412.86.202209302317-0-openstack.x86_64.qcow2.gz?sha256=d6ba8e14e6871eeed8c9cfaa865f79f26f94f5f6e93e35916fc5a25785981712
    apiVIPs:
    - 10.46.46.115
    ingressVIPs:
    - 10.46.46.110
    hosts:
      - name: openshift-master-0-0
        role: master
        bmc:
          address: idrac-virtualmedia://10.46.98.49:443/redfish/v1/Systems/System.Embedded.1
          disableCertificateVerification: True
          username: root
          password: calvin
        bootMACAddress: CC:96:E5:E7:75:7A
        rootDeviceHints:
          deviceName: /dev/sda
      - name: openshift-master-0-1
        role: master
        bmc:
          address: idrac-virtualmedia://10.46.98.50:443/redfish/v1/Systems/System.Embedded.1
          disableCertificateVerification: True
          username: root
          password: calvin
        bootMACAddress: CC:96:E5:E7:8F:7A
        rootDeviceHints:
          deviceName: /dev/sda
      - name: openshift-master-0-2
        role: master
        bmc:
          address: idrac-virtualmedia://10.46.98.51:443/redfish/v1/Systems/System.Embedded.1
          disableCertificateVerification: True
          username: root
          password: calvin
        bootMACAddress: CC:96:E5:E7:C1:42
        rootDeviceHints:
          deviceName: /dev/sda
additionalTrustBundle: |
  -----BEGIN CERTIFICATE-----
  MIIEDDCCAvSgAwIBAgIUfKWEY1Rn1JtQCTgBRLA/w2Dfj+YwDQYJKoZIhvcNAQEL
  BQAwgYoxCzAJBgNVBAYTAlVTMQswCQYDVQQIDAJOQzEQMA4GA1UEBwwHUmFsZWln
  aDEVMBMGA1UECgwMVGVzdCBDb21wYW55MRAwDgYDVQQLDAdUZXN0aW5nMTMwMQYD
  VQQDDCpyZWdpc3RyeS5vY3AtZWRnZTMubGFiLmVuZy50bHYyLnJlZGhhdC5jb20w
  HhcNMjIxMjEyMTQ0NjMwWhcNMjMxMjEyMTQ0NjMwWjCBijELMAkGA1UEBhMCVVMx
  CzAJBgNVBAgMAk5DMRAwDgYDVQQHDAdSYWxlaWdoMRUwEwYDVQQKDAxUZXN0IENv
  bXBhbnkxEDAOBgNVBAsMB1Rlc3RpbmcxMzAxBgNVBAMMKnJlZ2lzdHJ5Lm9jcC1l
  ZGdlMy5sYWIuZW5nLnRsdjIucmVkaGF0LmNvbTCCASIwDQYJKoZIhvcNAQEBBQAD
  ggEPADCCAQoCggEBALNixE2aocY08xiJzI+BK5xx7AnAEGh+QjiuQpGFMzoNOFTl
  CqMOW83LbXQUycVMDio7GwV20ur95Ey1y9Y9Ii0p8DvW1bcbRzPOk3xEjZFEWtxv
  LtwrvA2EtdRkB9rqza3VvEoRopaS/3czLhPhTykl7m1WX3Klc3YDW5XdMxFHAjy1
  dqnY4fDyGu971h0/G8Oj0EEMHF3uHIuJk+zuxnQguIFvH70Gkg4Z+wY2N56Sbv5L
  Tjq2+kzb8BdgUYFocKwEWFPHiXm3EOqAIzyXipeVycWiTyieUDnvRFOzaHcSgtbr
  GyIxKtKZraLcDq68boPMCfEouHROvoU32xwO7D8CAwEAAaNoMGYwDwYDVR0TBAgw
  BgEB/wIBADBTBgNVHREETDBKgipyZWdpc3RyeS5vY3AtZWRnZTMubGFiLmVuZy50
  bHYyLnJlZGhhdC5jb22CCm9jcC1lZGdlMjSHBAouOwGHBApYAAGHBMCoegEwDQYJ
  KoZIhvcNAQELBQADggEBAH2x7nKjV59fDxPoUM5U9PMeyeQrVaQRZ640lob1hDzU
  auSGZR/rlzGkWuM8YSHSDdWLcnNbvjU6PsqNt9Pys+umS7/Wge+cghn/AdgGUV1+
  YgS6lf8QXnEDGl5jKVm8Ftb+h1bl17Y1wvMgh+QZ9+3cPKs05AOtAcaxpFZA32NB
  Mf965f2DcFINvkWrT1h4kXbnC/C5uy5jqKvWZWKJ5tjnTVWWjFb1g7El2PyZUFnL
  Qjz9/5Ruxv9hXR5DAVXh86PzEk/NMxA+iUkeWBx8YqnWgLe2ykKkIwKLIm8u8w4Y
  o3pCXBMLy2moluksKosPiNORXvwSV9Jv4s2Q0qSiT4w=
  -----END CERTIFICATE-----
  -----BEGIN CERTIFICATE-----
  MIIENDCCAxygAwIBAgIJANunI0D662cnMA0GCSqGSIb3DQEBCwUAMIGlMQswCQYD
  VQQGEwJVUzEXMBUGA1UECAwOTm9ydGggQ2Fyb2xpbmExEDAOBgNVBAcMB1JhbGVp
  Z2gxFjAUBgNVBAoMDVJlZCBIYXQsIEluYy4xEzARBgNVBAsMClJlZCBIYXQgSVQx
  GzAZBgNVBAMMElJlZCBIYXQgSVQgUm9vdCBDQTEhMB8GCSqGSIb3DQEJARYSaW5m
  b3NlY0ByZWRoYXQuY29tMCAXDTE1MDcwNjE3MzgxMVoYDzIwNTUwNjI2MTczODEx
  WjCBpTELMAkGA1UEBhMCVVMxFzAVBgNVBAgMDk5vcnRoIENhcm9saW5hMRAwDgYD
  VQQHDAdSYWxlaWdoMRYwFAYDVQQKDA1SZWQgSGF0LCBJbmMuMRMwEQYDVQQLDApS
  ZWQgSGF0IElUMRswGQYDVQQDDBJSZWQgSGF0IElUIFJvb3QgQ0ExITAfBgkqhkiG
  9w0BCQEWEmluZm9zZWNAcmVkaGF0LmNvbTCCASIwDQYJKoZIhvcNAQEBBQADggEP
  ADCCAQoCggEBALQt9OJQh6GC5LT1g80qNh0u50BQ4sZ/yZ8aETxt+5lnPVX6MHKz
  bfwI6nO1aMG6j9bSw+6UUyPBHP796+FT/pTS+K0wsDV7c9XvHoxJBJJU38cdLkI2
  c/i7lDqTfTcfLL2nyUBd2fQDk1B0fxrskhGIIZ3ifP1Ps4ltTkv8hRSob3VtNqSo
  GxkKfvD2PKjTPxDPWYyruy9irLZioMffi3i/gCut0ZWtAyO3MVH5qWF/enKwgPES
  X9po+TdCvRB/RUObBaM761EcrLSM1GqHNueSfqnho3AjLQ6dBnPWlo638Zm1VebK
  BELyhkLWMSFkKwDmne0jQ02Y4g075vCKvCsCAwEAAaNjMGEwHQYDVR0OBBYEFH7R
  4yC+UehIIPeuL8Zqw3PzbgcZMB8GA1UdIwQYMBaAFH7R4yC+UehIIPeuL8Zqw3Pz
  bgcZMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0PAQH/BAQDAgGGMA0GCSqGSIb3DQEB
  CwUAA4IBAQBDNvD2Vm9sA5A9AlOJR8+en5Xz9hXcxJB5phxcZQ8jFoG04Vshvd0e
  LEnUrMcfFgIZ4njMKTQCM4ZFUPAieyLx4f52HuDopp3e5JyIMfW+KFcNIpKwCsak
  oSoKtIUOsUJK7qBVZxcrIyeQV2qcYOeZhtS5wBqIwOAhFwlCET7Ze58QHmS48slj
  S9K0JAcps2xdnGu0fkzhSQxY8GPQNFTlr6rYld5+ID/hHeS76gq0YG3q6RLWRkHf
  4eTkRjivAlExrFzKcljC4axKQlnOvVAzz+Gm32U0xPBF4ByePVxCJUHw1TsyTmel
  RxNEp7yHoXcwn+fXna+t5JWh1gxUZty3
  -----END CERTIFICATE-----

pullSecret: |
  { "auths": { "registry.ocp-edge3.lab.eng.tlv2.redhat.com:5000": { "auth": "b2NwLWVkZ2U6b2NwLWVkZ2UtcGFzcw==" } }}
fips: false
sshKey: |
  ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDm9hb6iTZJypEmzg4IZ767ze60UGhBWnjPXhovWVB7uKputdLzZhmlo36ifkXr/DTk8NGm47r6kXmz9NAF0pDHa5jX6yJFnhS4z5NY/mzsUX41gwiqBKYHgdp/KE1ylE8mbNon5ZpaaGvb876myjjPjPwWsD8hvXZirA5Q8TfDb/Pvgy1dhVH/uN05Ip1vVsp+bFGMPUJVWVUy/Eby5xW6OJv+FBOQq4nu6tslDZlHYXX2TSGrlW4x0i/oQMpKu/Y8ygAdjWqmAy6UBcho1nNWy15cp0jI5Fhjze171vSWZLAqJY+eFcL2kt/09RnY+MXyY/tIf+qNMyBE2Qltigah
imageContentSources:
- mirrors:
  - registry.ocp-edge3.lab.eng.tlv2.redhat.com:5000/openshift-release-dev/ocp-v4.0-art-dev
  - registry.ocp-edge3.lab.eng.tlv2.redhat.com:5000/ocp/release
  source: quay.io/openshift-release-dev/ocp-release
- mirrors:
  - registry.ocp-edge3.lab.eng.tlv2.redhat.com:5000/openshift-release-dev/ocp-v4.0-art-dev
  - registry.ocp-edge3.lab.eng.tlv2.redhat.com:5000/ocp/release
  source: quay.io/openshift-release-dev/ocp-v4.0-art-dev
